[package]
name = "ghost-networks"
version = "0.1.26"
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
scale-info = { workspace = true, features = ["derive"] }
codec = { workspace = true, features = ["max-encoded-len"] }
num-traits = { workspace = true }
log = { workspace = true }

frame-benchmarking = { workspace = true, optional = true }
frame-support = { workspace = true }
frame-system = { workspace = true }
pallet-staking = { workspace = true }
sp-runtime = { workspace = true }
sp-std = { workspace = true }
ghost-traits = { workspace = true }

[dev-dependencies]
primitives = { workspace = true }
sp-io = { workspace = true }
pallet-balances = { workspace = true }
pallet-staking-reward-curve = { workspace = true }

[features]
default = ["std"]
std = [
    "scale-info/std",
    "codec/std",
    "log/std",
    "num-traits/std",
    "frame-support/std",
    "frame-system/std",
    "frame-benchmarking?/std",
    "sp-runtime/std",
    "sp-std/std",
    "sp-io/std",
    "ghost-traits/std",
    "pallet-staking/std",
    "pallet-balances/std",
]
runtime-benchmarks = [
    "frame-benchmarking/runtime-benchmarks",
    "frame-support/runtime-benchmarks",
    "frame-system/runtime-benchmarks",
    "sp-runtime/runtime-benchmarks",
    "pallet-staking/runtime-benchmarks",
]
try-runtime = [
    "frame-support/try-runtime",
    "frame-system/try-runtime",
    "pallet-staking/try-runtime",
    "pallet-balances/try-runtime",
]
